import styled from 'styled-components/native';
import { scale, moderateScale } from 'react-native-size-matters';
import TouchableComponent from '../Touchable';
import DefaultIcon from '../Icon';
import Typography from '../Typography';
import { getTheme } from '../../helpers';
const smallSpacing = getTheme('smallSpacing');
const primaryMain = getTheme('primary.main');
const primaryContrast = getTheme('primary.contrast');
const buttonRadius = getTheme('buttonRadius');
export const Icon = styled(DefaultIcon) `
  margin-right: ${(props) => (props.hasChildren ? `${scale(4)}px` : '0px')};
`;
export const Touchable = styled(TouchableComponent) `
  border-radius: ${(props) => props.rounded ? '50px' : '0'};
`;
export const ButtonWrapper = styled.View `
  flex-direction: row;
  align-items: center;
  justify-content: center;
  width: ${scale(175)}px;
  height: ${moderateScale(48)}px;
  border: ${(props) => (props.tertiary ? '2px solid' : '0px')};
  margin-vertical: ${smallSpacing};
  padding-vertical: ${(props) => props.rounded ? '0' : `${moderateScale(11)}px`};
  padding-horizontal: ${(props) => props.rounded ? '0' : `${moderateScale(15)}px`};
  border-radius: ${(props) => props.rounded ? '50px' : buttonRadius(props)}
  background-color: ${(props) => props.tertiary
    ? 'transparent'
    : props.secondary
        ? primaryContrast
        : primaryMain};
  border-color: ${(props) => props.rounded || (props.tertiary && !props.active)
    ? primaryContrast
    : 'transparent'};
`;
export const ButtonText = styled(Typography).attrs({ variant: 'subhead' }) `
  color: ${({ secondary }) => (secondary ? primaryMain : primaryContrast)};
  font-weight: bold;
`;
//# sourceMappingURL=styles.js.map