import { __rest } from "tslib";
import React, { Component } from 'react';
import { Spring, config as springConfig } from 'react-spring/renderprops';
import LoadingIndicator from '../LoadingIndicator';
import { Wrapper, Touch, Icon } from './styles';
const bigSize = 70;
const normalSize = 55;
const smallSize = 45;
const iconBigSize = 34;
const iconNormalSize = 28;
const iconSmallSize = 24;
class CircleButton extends Component {
    constructor() {
        super(...arguments);
        this.state = {
            pressing: false,
        };
    }
    render() {
        const { pressing } = this.state;
        const _a = this.props, { onPress, icon = '', iconSize = null, iconColor = '#fff', iconSet = 'material', children = null, selected = false, small = false, big = false, loading = false, animated = false, animation = 'stiff' } = _a, rest = __rest(_a, ["onPress", "icon", "iconSize", "iconColor", "iconSet", "children", "selected", "small", "big", "loading", "animated", "animation"]);
        const size = small ? smallSize : big ? bigSize : normalSize;
        const sizeIcon = iconSize || (small ? iconSmallSize : big ? iconBigSize : iconNormalSize);
        const initialSize = animated ? 0 : size;
        return (<Spring config={springConfig[animation]} from={{ height: initialSize, width: initialSize }} to={{
            height: pressing && animated ? size + 4 : size,
            width: pressing && animated ? size + 4 : size,
        }}>
        {(animationProps) => (<Wrapper isSelected={selected} {...animationProps} {...rest}>
            <Touch disabled={!onPress} onPress={onPress}>
              {loading ? (<LoadingIndicator />) : (children || (<Icon name={icon} color={iconColor} size={sizeIcon} iconSet={iconSet} touchable={false}/>))}
            </Touch>
          </Wrapper>)}
      </Spring>);
    }
}
export default CircleButton;
//# sourceMappingURL=index.js.map