import { __rest } from "tslib";
import React, { PureComponent } from 'react';
import { Animated, View } from 'react-native';
import MaterialIcons from 'react-native-vector-icons/MaterialCommunityIcons';
import Touchable from '../Touchable';
import * as Icons from '../../assets/svg';
export default class Icon extends PureComponent {
    render() {
        const _a = this.props, { name, onPress = () => { }, size = 20, style, touchable = true, color = undefined, borderColor = '', backgroundColor = '' } = _a, rest = __rest(_a, ["name", "onPress", "size", "style", "touchable", "color", "borderColor", "backgroundColor"]);
        const iconName = name.charAt(0).toUpperCase() + name.slice(1);
        const Svg = Icons[`Icon${iconName}`];
        return (<Animated.View style={style}>
        <Touchable disabled={!touchable} onPress={onPress} {...rest}>
          <View>
            {Svg ? (<Svg width={size} height={size} color={color} borderColor={borderColor} backgroundColor={backgroundColor}/>) : (<MaterialIcons name={name} size={size} color={color}/>)}
          </View>
        </Touchable>
      </Animated.View>);
    }
}
//# sourceMappingURL=index.js.map