import { __rest } from "tslib";
import React from 'react';
import { generateHaptic } from '../../helpers';
import { Wrapper, TouchAnimation } from './styles';
const resetTouchableStyle = {
    backgroundColor: 'transparent ',
    margin: 0,
    marginLeft: 0,
    marginRight: 0,
    marginTop: 0,
    marginBottom: 0,
    padding: 0,
    paddingLeft: 0,
    paddingRight: 0,
    paddingTop: 0,
    paddingBottom: 0,
    borderWidth: 0,
};
const CommonTouchable = (_a) => {
    var { children, onPress, haptic = 'impact', disabled = false, style = [{}], hitSlop = {
        top: 10,
        left: 10,
        bottom: 10,
        right: 10,
    } } = _a, rest = __rest(_a, ["children", "onPress", "haptic", "disabled", "style", "hitSlop"]);
    return (<Wrapper style={style} {...rest}>
    <TouchAnimation {...rest} hitSlop={hitSlop} style={[style, resetTouchableStyle]} disabled={disabled} onPress={() => {
        generateHaptic(haptic);
        onPress();
    }}>
      {children}
    </TouchAnimation>
  </Wrapper>);
};
export default CommonTouchable;
//# sourceMappingURL=index.js.map